package com.mortals.xhx.module.matter.model;

import java.util.List;
/**
 * 事项申请材料查询对象
 *
 * @author zxfei
 * @date 2022-11-16
 */
public class MatterDatumQuery extends MatterDatumEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id列表 */
    private List <Long> matterIdList;

    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 材料名 */
    private List<String> materialNameList;

    /** 必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补） */
    private List<String> isMustList;

    /** 材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件) */
    private List<String> materialTypeList;

    /** 材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子） */
    private List<String> materialPropertyList;

    /** 电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg） */
    private List<String> electronicgsList;

    /** 材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他） */
    private List<String> materialSourceList;

    /** 开始 纸质材料份数 */
    private Integer paperNumStart;

    /** 结束 纸质材料份数 */
    private Integer paperNumEnd;

    /** 增加 纸质材料份数 */
    private Integer paperNumIncrement;

    /** 纸质材料份数列表 */
    private List <Integer> paperNumList;

    /** 纸质材料规格 */
    private List<String> paperGgList;

    /** 减免模式（无.无，减.减，免.免） */
    private List<String> jianmMsList;

    /** 盖章方式 */
    private List<String> sealWayList;

    /** 是否减免（否.否，是.是） */
    private List<String> isjianmList;

    /** 材料是否容缺（必要.必要，非必要.非必要） */
    private List<String> isLackList;

    /** 材料地址 */
    private List<String> ybUrlList;

    /** 来源渠道说明 */
    private List<String> materialSourceSmList;

    /** 填报须知 */
    private List<String> remarkSubList;

    /** 要求提供材料的依据 */
    private List<String> clauseContentList;

    /** 受理标准 */
    private List<String> summaryList;

    /** 备注 */
    private List<String> remarkList;

    /** 开始 事项来源(0.政务网，1.自定义) */
    private Integer sourceStart;

    /** 结束 事项来源(0.政务网，1.自定义) */
    private Integer sourceEnd;

    /** 增加 事项来源(0.政务网，1.自定义) */
    private Integer sourceIncrement;

    /** 事项来源(0.政务网，1.自定义)列表 */
    private List <Integer> sourceList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterDatumQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterDatumQuery> andConditionList;

    public MatterDatumQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 事项id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 事项id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 事项id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 事项id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 事项编码
     * @return matterCodeList
     */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }
    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }
    /**
     * 获取 材料名
     * @return materialNameList
     */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
     * 设置 材料名
     * @param materialNameList
     */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }
    /**
     * 获取 必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）
     * @return isMustList
     */
    public List<String> getIsMustList(){
        return this.isMustList;
    }

    /**
     * 设置 必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）
     * @param isMustList
     */
    public void setIsMustList(List<String> isMustList){
        this.isMustList = isMustList;
    }
    /**
     * 获取 材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)
     * @return materialTypeList
     */
    public List<String> getMaterialTypeList(){
        return this.materialTypeList;
    }

    /**
     * 设置 材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)
     * @param materialTypeList
     */
    public void setMaterialTypeList(List<String> materialTypeList){
        this.materialTypeList = materialTypeList;
    }
    /**
     * 获取 材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）
     * @return materialPropertyList
     */
    public List<String> getMaterialPropertyList(){
        return this.materialPropertyList;
    }

    /**
     * 设置 材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）
     * @param materialPropertyList
     */
    public void setMaterialPropertyList(List<String> materialPropertyList){
        this.materialPropertyList = materialPropertyList;
    }
    /**
     * 获取 电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）
     * @return electronicgsList
     */
    public List<String> getElectronicgsList(){
        return this.electronicgsList;
    }

    /**
     * 设置 电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）
     * @param electronicgsList
     */
    public void setElectronicgsList(List<String> electronicgsList){
        this.electronicgsList = electronicgsList;
    }
    /**
     * 获取 材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）
     * @return materialSourceList
     */
    public List<String> getMaterialSourceList(){
        return this.materialSourceList;
    }

    /**
     * 设置 材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）
     * @param materialSourceList
     */
    public void setMaterialSourceList(List<String> materialSourceList){
        this.materialSourceList = materialSourceList;
    }
    /**
     * 获取 开始 纸质材料份数
     * @return paperNumStart
     */
    public Integer getPaperNumStart(){
        return this.paperNumStart;
    }

    /**
     * 设置 开始 纸质材料份数
     * @param paperNumStart
     */
    public void setPaperNumStart(Integer paperNumStart){
        this.paperNumStart = paperNumStart;
    }

    /**
     * 获取 结束 纸质材料份数
     * @return $paperNumEnd
     */
    public Integer getPaperNumEnd(){
        return this.paperNumEnd;
    }

    /**
     * 设置 结束 纸质材料份数
     * @param paperNumEnd
     */
    public void setPaperNumEnd(Integer paperNumEnd){
        this.paperNumEnd = paperNumEnd;
    }

    /**
     * 获取 增加 纸质材料份数
     * @return paperNumIncrement
     */
    public Integer getPaperNumIncrement(){
        return this.paperNumIncrement;
    }

    /**
     * 设置 增加 纸质材料份数
     * @param paperNumIncrement
     */
    public void setPaperNumIncrement(Integer paperNumIncrement){
        this.paperNumIncrement = paperNumIncrement;
    }

    /**
     * 获取 纸质材料份数
     * @return paperNumList
     */
    public List<Integer> getPaperNumList(){
        return this.paperNumList;
    }

    /**
     * 设置 纸质材料份数
     * @param paperNumList
     */
    public void setPaperNumList(List<Integer> paperNumList){
        this.paperNumList = paperNumList;
    }

    /**
     * 获取 纸质材料规格
     * @return paperGgList
     */
    public List<String> getPaperGgList(){
        return this.paperGgList;
    }

    /**
     * 设置 纸质材料规格
     * @param paperGgList
     */
    public void setPaperGgList(List<String> paperGgList){
        this.paperGgList = paperGgList;
    }
    /**
     * 获取 减免模式（无.无，减.减，免.免）
     * @return jianmMsList
     */
    public List<String> getJianmMsList(){
        return this.jianmMsList;
    }

    /**
     * 设置 减免模式（无.无，减.减，免.免）
     * @param jianmMsList
     */
    public void setJianmMsList(List<String> jianmMsList){
        this.jianmMsList = jianmMsList;
    }
    /**
     * 获取 盖章方式
     * @return sealWayList
     */
    public List<String> getSealWayList(){
        return this.sealWayList;
    }

    /**
     * 设置 盖章方式
     * @param sealWayList
     */
    public void setSealWayList(List<String> sealWayList){
        this.sealWayList = sealWayList;
    }
    /**
     * 获取 是否减免（否.否，是.是）
     * @return isjianmList
     */
    public List<String> getIsjianmList(){
        return this.isjianmList;
    }

    /**
     * 设置 是否减免（否.否，是.是）
     * @param isjianmList
     */
    public void setIsjianmList(List<String> isjianmList){
        this.isjianmList = isjianmList;
    }
    /**
     * 获取 材料是否容缺（必要.必要，非必要.非必要）
     * @return isLackList
     */
    public List<String> getIsLackList(){
        return this.isLackList;
    }

    /**
     * 设置 材料是否容缺（必要.必要，非必要.非必要）
     * @param isLackList
     */
    public void setIsLackList(List<String> isLackList){
        this.isLackList = isLackList;
    }
    /**
     * 获取 材料地址
     * @return ybUrlList
     */
    public List<String> getYbUrlList(){
        return this.ybUrlList;
    }

    /**
     * 设置 材料地址
     * @param ybUrlList
     */
    public void setYbUrlList(List<String> ybUrlList){
        this.ybUrlList = ybUrlList;
    }
    /**
     * 获取 来源渠道说明
     * @return materialSourceSmList
     */
    public List<String> getMaterialSourceSmList(){
        return this.materialSourceSmList;
    }

    /**
     * 设置 来源渠道说明
     * @param materialSourceSmList
     */
    public void setMaterialSourceSmList(List<String> materialSourceSmList){
        this.materialSourceSmList = materialSourceSmList;
    }
    /**
     * 获取 填报须知
     * @return remarkSubList
     */
    public List<String> getRemarkSubList(){
        return this.remarkSubList;
    }

    /**
     * 设置 填报须知
     * @param remarkSubList
     */
    public void setRemarkSubList(List<String> remarkSubList){
        this.remarkSubList = remarkSubList;
    }
    /**
     * 获取 要求提供材料的依据
     * @return clauseContentList
     */
    public List<String> getClauseContentList(){
        return this.clauseContentList;
    }

    /**
     * 设置 要求提供材料的依据
     * @param clauseContentList
     */
    public void setClauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
    }
    /**
     * 获取 受理标准
     * @return summaryList
     */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
     * 设置 受理标准
     * @param summaryList
     */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }
    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
     * 获取 开始 事项来源(0.政务网，1.自定义)
     * @return sourceStart
     */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
     * 设置 开始 事项来源(0.政务网，1.自定义)
     * @param sourceStart
     */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
     * 获取 结束 事项来源(0.政务网，1.自定义)
     * @return $sourceEnd
     */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
     * 设置 结束 事项来源(0.政务网，1.自定义)
     * @param sourceEnd
     */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
     * 获取 增加 事项来源(0.政务网，1.自定义)
     * @return sourceIncrement
     */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
     * 设置 增加 事项来源(0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
     * 获取 事项来源(0.政务网，1.自定义)
     * @return sourceList
     */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceList
     */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键，自增长
     * @param id
     */
    public MatterDatumQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public MatterDatumQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public MatterDatumQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public MatterDatumQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public MatterDatumQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  事项id
     * @param matterId
     */
    public MatterDatumQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public MatterDatumQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public MatterDatumQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public MatterDatumQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public MatterDatumQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }


    /**
     * 设置 事项编码
     * @param matterCode
     */
    public MatterDatumQuery matterCode(String matterCode){
        setMatterCode(matterCode);
        return this;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public MatterDatumQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public MatterDatumQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public MatterDatumQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置 材料名
     * @param materialName
     */
    public MatterDatumQuery materialName(String materialName){
        setMaterialName(materialName);
        return this;
    }

    /**
     * 设置 材料名
     * @param materialNameList
     */
    public MatterDatumQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
        return this;
    }


    /**
     * 设置 必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）
     * @param isMust
     */
    public MatterDatumQuery isMust(String isMust){
        setIsMust(isMust);
        return this;
    }

    /**
     * 设置 必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）
     * @param isMustList
     */
    public MatterDatumQuery isMustList(List<String> isMustList){
        this.isMustList = isMustList;
        return this;
    }


    /**
     * 设置 材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)
     * @param materialType
     */
    public MatterDatumQuery materialType(String materialType){
        setMaterialType(materialType);
        return this;
    }

    /**
     * 设置 材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)
     * @param materialTypeList
     */
    public MatterDatumQuery materialTypeList(List<String> materialTypeList){
        this.materialTypeList = materialTypeList;
        return this;
    }


    /**
     * 设置 材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）
     * @param materialProperty
     */
    public MatterDatumQuery materialProperty(String materialProperty){
        setMaterialProperty(materialProperty);
        return this;
    }

    /**
     * 设置 材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）
     * @param materialPropertyList
     */
    public MatterDatumQuery materialPropertyList(List<String> materialPropertyList){
        this.materialPropertyList = materialPropertyList;
        return this;
    }


    /**
     * 设置 电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）
     * @param electronicgs
     */
    public MatterDatumQuery electronicgs(String electronicgs){
        setElectronicgs(electronicgs);
        return this;
    }

    /**
     * 设置 电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）
     * @param electronicgsList
     */
    public MatterDatumQuery electronicgsList(List<String> electronicgsList){
        this.electronicgsList = electronicgsList;
        return this;
    }


    /**
     * 设置 材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）
     * @param materialSource
     */
    public MatterDatumQuery materialSource(String materialSource){
        setMaterialSource(materialSource);
        return this;
    }

    /**
     * 设置 材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）
     * @param materialSourceList
     */
    public MatterDatumQuery materialSourceList(List<String> materialSourceList){
        this.materialSourceList = materialSourceList;
        return this;
    }

    /**
     * 设置  纸质材料份数
     * @param paperNum
     */
    public MatterDatumQuery paperNum(Integer paperNum){
        setPaperNum(paperNum);
        return this;
    }

    /**
     * 设置 开始 纸质材料份数
     * @param paperNumStart
     */
    public MatterDatumQuery paperNumStart(Integer paperNumStart){
        this.paperNumStart = paperNumStart;
        return this;
    }

    /**
     * 设置 结束 纸质材料份数
     * @param paperNumEnd
     */
    public MatterDatumQuery paperNumEnd(Integer paperNumEnd){
        this.paperNumEnd = paperNumEnd;
        return this;
    }

    /**
     * 设置 增加 纸质材料份数
     * @param paperNumIncrement
     */
    public MatterDatumQuery paperNumIncrement(Integer paperNumIncrement){
        this.paperNumIncrement = paperNumIncrement;
        return this;
    }

    /**
     * 设置 纸质材料份数
     * @param paperNumList
     */
    public MatterDatumQuery paperNumList(List<Integer> paperNumList){
        this.paperNumList = paperNumList;
        return this;
    }


    /**
     * 设置 纸质材料规格
     * @param paperGg
     */
    public MatterDatumQuery paperGg(String paperGg){
        setPaperGg(paperGg);
        return this;
    }

    /**
     * 设置 纸质材料规格
     * @param paperGgList
     */
    public MatterDatumQuery paperGgList(List<String> paperGgList){
        this.paperGgList = paperGgList;
        return this;
    }


    /**
     * 设置 减免模式（无.无，减.减，免.免）
     * @param jianmMs
     */
    public MatterDatumQuery jianmMs(String jianmMs){
        setJianmMs(jianmMs);
        return this;
    }

    /**
     * 设置 减免模式（无.无，减.减，免.免）
     * @param jianmMsList
     */
    public MatterDatumQuery jianmMsList(List<String> jianmMsList){
        this.jianmMsList = jianmMsList;
        return this;
    }


    /**
     * 设置 盖章方式
     * @param sealWay
     */
    public MatterDatumQuery sealWay(String sealWay){
        setSealWay(sealWay);
        return this;
    }

    /**
     * 设置 盖章方式
     * @param sealWayList
     */
    public MatterDatumQuery sealWayList(List<String> sealWayList){
        this.sealWayList = sealWayList;
        return this;
    }


    /**
     * 设置 是否减免（否.否，是.是）
     * @param isjianm
     */
    public MatterDatumQuery isjianm(String isjianm){
        setIsjianm(isjianm);
        return this;
    }

    /**
     * 设置 是否减免（否.否，是.是）
     * @param isjianmList
     */
    public MatterDatumQuery isjianmList(List<String> isjianmList){
        this.isjianmList = isjianmList;
        return this;
    }


    /**
     * 设置 材料是否容缺（必要.必要，非必要.非必要）
     * @param isLack
     */
    public MatterDatumQuery isLack(String isLack){
        setIsLack(isLack);
        return this;
    }

    /**
     * 设置 材料是否容缺（必要.必要，非必要.非必要）
     * @param isLackList
     */
    public MatterDatumQuery isLackList(List<String> isLackList){
        this.isLackList = isLackList;
        return this;
    }


    /**
     * 设置 材料地址
     * @param ybUrl
     */
    public MatterDatumQuery ybUrl(String ybUrl){
        setYbUrl(ybUrl);
        return this;
    }

    /**
     * 设置 材料地址
     * @param ybUrlList
     */
    public MatterDatumQuery ybUrlList(List<String> ybUrlList){
        this.ybUrlList = ybUrlList;
        return this;
    }


    /**
     * 设置 来源渠道说明
     * @param materialSourceSm
     */
    public MatterDatumQuery materialSourceSm(String materialSourceSm){
        setMaterialSourceSm(materialSourceSm);
        return this;
    }

    /**
     * 设置 来源渠道说明
     * @param materialSourceSmList
     */
    public MatterDatumQuery materialSourceSmList(List<String> materialSourceSmList){
        this.materialSourceSmList = materialSourceSmList;
        return this;
    }


    /**
     * 设置 填报须知
     * @param remarkSub
     */
    public MatterDatumQuery remarkSub(String remarkSub){
        setRemarkSub(remarkSub);
        return this;
    }

    /**
     * 设置 填报须知
     * @param remarkSubList
     */
    public MatterDatumQuery remarkSubList(List<String> remarkSubList){
        this.remarkSubList = remarkSubList;
        return this;
    }


    /**
     * 设置 要求提供材料的依据
     * @param clauseContent
     */
    public MatterDatumQuery clauseContent(String clauseContent){
        setClauseContent(clauseContent);
        return this;
    }

    /**
     * 设置 要求提供材料的依据
     * @param clauseContentList
     */
    public MatterDatumQuery clauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
        return this;
    }


    /**
     * 设置 受理标准
     * @param summary
     */
    public MatterDatumQuery summary(String summary){
        setSummary(summary);
        return this;
    }

    /**
     * 设置 受理标准
     * @param summaryList
     */
    public MatterDatumQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public MatterDatumQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public MatterDatumQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  事项来源(0.政务网，1.自定义)
     * @param source
     */
    public MatterDatumQuery source(Integer source){
        setSource(source);
        return this;
    }

    /**
     * 设置 开始 事项来源(0.政务网，1.自定义)
     * @param sourceStart
     */
    public MatterDatumQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
        return this;
    }

    /**
     * 设置 结束 事项来源(0.政务网，1.自定义)
     * @param sourceEnd
     */
    public MatterDatumQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
        return this;
    }

    /**
     * 设置 增加 事项来源(0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public MatterDatumQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
        return this;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceList
     */
    public MatterDatumQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public MatterDatumQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public MatterDatumQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public MatterDatumQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public MatterDatumQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public MatterDatumQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<MatterDatumQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<MatterDatumQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<MatterDatumQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<MatterDatumQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}